Package twisted :: Package web :: Package woven :: Module tapestry :: Class ModelLoader |
[frames | no frames]

## Class ModelLoader

    Resource --+
               |
              ModelLoader

Resource for loading models. (see loadModel)

Method Summary
| `__init__(self, parent, templateFile)`
| ``getChild`(self, path, request)` Retrieve a 'child' resource from me.
`Deferred` | ``loadModel`(self, path, request)` Load a model, for the given path and request.
| ``loadModelNow`(self, path, request)` Override this rather than loadModel if your model-loading is synchronous.
| `modelClass(self, other)`
Inherited from Resource
| ``delEntity`(self, name)`
| ``getChildForRequest`(self, request)`
| ``getChildWithDefault`(self, path, request)` Retrieve a static or dynamically generated child resource from me.
| ``getDynamicEntity`(self, name, request)`
| ``getStaticEntity`(self, name)`
| ``listDynamicEntities`(self, request)`
| ``listDynamicNames`(self)`
| ``listEntities`(self)`
| ``listNames`(self)`
| ``listStaticEntities`(self)`
| ``listStaticNames`(self)`
| ``putChild`(self, path, child)` Register a static child.
| ``reallyPutEntity`(self, name, entity)`
| ``render`(self, request)` Render a given resource.

Class Variable Summary
Inherited from Resource
`tuple` | `__implements__` = `(<class twisted.web.resource.IResource ...`
`int` | `isLeaf` = 0
`NoneType` | `server` = None

Method Details

### getChild(self, path, request) Retrieve a 'child' resource from me. Implement this to create dynamic resource generation -- resources which are always available may be registered with self.putChild(). This will not be called if the class-level variable 'isLeaf' is set in your subclass; instead, the 'postpath' attribute of the request will be left as a list of the remaining path elements. For example, the URL /foo/bar/baz will normally be:
     | site.resource.getChild('foo').getChild('bar').getChild('baz').
However, if the resource returned by 'bar' has isLeaf set to true, then the getChild call will never be made on it. Parameters: `path` - a string, describing the child `request` - a twisted.web.server.Request specifying meta-information about the request that is being made for this child. Overrides: `twisted.web.resource.Resource.getChild` (inherited documentation)

### loadModel(self, path, request) Load a model, for the given path and request. Returns: `Deferred`

### loadModelNow(self, path, request) Override this rather than loadModel if your model-loading is synchronous.

Generated by Epydoc 2.0 on Sat Oct 25 00:55:08 2003 | http://epydoc.sf.net